# $Id: razorsedge-release.spec 987 2009-12-13 20:04:50Z rpmbuild $
# repo: RE
# restrictions:

%define URL http://rpm.razorsedge.org/

Summary: RazorsEdge release file and package configuration
Name: razorsedge-release
Version: 5
Release: %RErelease 1
Epoch: 0
License: GPL
Group: System Environment/Base
URL: %{URL}
Source0: RPM-GPG-KEY-razorsedge
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: rpm-macros-razorsedge
BuildArch: noarch

%description
RazorsEdge release file. This package contains up2date, yum, and smart
configuration for the RazorsEdge RPM Repository, as well as the public
GPG keys used to sign them.

%prep
%setup -T -c
%{?rh6:name='Red Hat'; version='6.2'; url="redhat-$version/RE"}
%{?rh7:name='Red Hat'; version='7.3'; url="redhat-$version/RE"}
%{?el2:name='CentOS'; version='2'; url="el-$version/RE"}
%{?rh8:name='Red Hat'; version='8.0'; url="redhat-$version/RE"}
%{?rh9:name='Red Hat'; version='9';   url="redhat-$version/RE"}
%{?el3:name='CentOS'; version='3'; url="el-$version/RE"}
%{?fc1:name='Fedora Core'; version='1'; url="fedora-$version/RE"}
%{?fc2:name='Fedora Core'; version='2'; url="fedora-$version/RE"}
%{?el4:name='CentOS'; version='4'; url="el-$version/RE"}
%{?fc3:name='Fedora Core'; version='3'; url="fedora-$version/RE"}
%{?fc4:name='Fedora Core'; version='4'; url="fedora-$version/RE"}
%{?fc5:name='Fedora Core'; version='5'; url="fedora-$version/RE"}
%{?fc6:name='Fedora Core'; version='6'; url="fedora-$version/RE"}
%{?el5:name='CentOS'; version='5'; url="el-$version/RE"}
%{?fc7:name='Fedora'; version='7'; url="fedora-$version/RE"}
%{?fc8:name='Fedora'; version='8'; url="fedora-$version/RE"}
%{?fc9:name='Fedora'; version='9'; url="fedora-$version/RE"}
%{?fc10:name='Fedora'; version='10'; url="fedora-$version/RE"}
%{?fc11:name='Fedora'; version='11'; url="fedora-$version/RE"}
%{?fc12:name='Fedora'; version='12'; url="fedora-$version/RE"}
%{?el6:name='CentOS'; version='6'; url="el-$version/RE"}

%{__cat} <<EOF >razorsedge.smart
# Name: RazorsEdge RPM Repository for $name $version
# URL: %{URL}
[razorsedge]
name=RazorsEdge RPM Repository
baseurl=%{URL}${url}/
type=rpm-md

# Name: RazorsEdge Test RPM Repository for $name $version
# URL: %{URL}
#[razorsedge-test]
#name=RazorsEdge Test RPM Repository
#baseurl=%{URL}${url}-test/
#type=rpm-md
EOF

%{__cat} <<EOF >razorsedge.yum
# Name: RazorsEdge RPM Repository for $name $version
# URL: %{URL}
[RE]
name=RazorsEdge RPM Repository
baseurl=%{URL}${url}/
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-razorsedge
gpgcheck=1
enabled=1
priority=10
protect=0

# Name: RazorsEdge Test RPM Repository for $name $version
# URL: %{URL}
[RE-test]
name=RazorsEdge Test RPM Repository
baseurl=%{URL}${url}-test/
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-razorsedge
gpgcheck=1
enabled=0
priority=10
protect=0
EOF

%{__cat} <<EOF >razorsedge.up2date
# Name: RazorsEdge RPM Repository for $name $version
# URL: %{URL}
#
# Add the following line to /etc/sysconfig/rhn/sources
#
#	yum razorsedge %{URL}${url}/

# Name: RazorsEdge Test RPM Repository for $name $version
# URL: %{URL}
#
# Add the following line to /etc/sysconfig/rhn/sources
#
#	yum razorsedge-test %{URL}${url}-test/
EOF

%build

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT
%{__install} -Dp -m0644 %{SOURCE0} %{buildroot}%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-razorsedge
%{__install} -Dp -m0644 razorsedge.smart %{buildroot}%{_sysconfdir}/smart/channels/razorsedge.channel
%{__install} -Dp -m0644 razorsedge.up2date %{buildroot}%{_sysconfdir}/sysconfig/rhn/sources.razorsedge.txt
%{__install} -Dp -m0644 razorsedge.yum %{buildroot}%{_sysconfdir}/yum.repos.d/razorsedge.repo

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/smart/channels/razorsedge.channel
%{_sysconfdir}/sysconfig/rhn/sources.razorsedge.txt
%config(noreplace) %{_sysconfdir}/yum.repos.d/razorsedge.repo
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-razorsedge

%changelog
* Sun Jul 19 2009 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 5-1
- Changed "Red Hat Enterprise" strings to "CentOS".
- Updated for Fedora 9, 10, 11, and 12 and EL6.

* Thu May 31 2007 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 4-1
- Added yum protect and priority tags.
- Added test repository.
- Updated for Fedora 8.

* Sat May 19 2007 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 3-2
- Signed GPG key.

* Thu May  3 2007 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 3-1
- Switched to creating noarch packages.

* Thu Mar 22 2007 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 2-1
- Cleaned up repositories to drop the use of $basearch.
- Updated for Fedora Core 6 and 7 and RHEL 5.

* Fri Mar 31 2006 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1-2
- Updated for Fedora Core 5.

* Wed Dec 07 2005 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1-1
- First build.

* Tue Aug 23 2005 Dag Wieers <dag@wieers.com> - 0.2-2 - 3526/dag
- Included directories too.

* Mon Aug 22 2005 Dag Wieers <dag@wieers.com> - 0.2-1
- Fixes to up2date channel and mirrorlist. (Dries Verachtert)
- Fixes to GPG key location.

* Fri Aug 19 2005 Dag Wieers <dag@wieers.com> - 0.1-3
- Improve smart channel.

* Fri Aug 19 2005 Dag Wieers <dag@wieers.com> - 0.1-2
- Added mirrors-rpmforge locally.

* Fri Aug 19 2005 Dag Wieers <dag@wieers.com> - 0.1-1
- Initial package. (using DAR)

